# VERSION CONTROL TAB
optionsEditor.item.Version Control.view.UI = treeTableNodeUI
optionsEditor.item.Version Control.view.expandLevel = 1
optionsEditor.item.Version Control.order = 100
optionsEditor.item.Version Control.condition = !isPlugin() && isGlobalOptions() && isFeatureEnabledByWorkspace("Options.Version Control")
optionsEditor.item.Version Control.view.description=["vcs/vcs_description"]

# Enable Source Control
srccontrol.enabled = false
optionsEditor.item.Version Control.item.Enable VCS.name = ["vcs/vcsEnabled"]
optionsEditor.item.Version Control.item.Enable VCS = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.propertyName = srccontrol.enabled
optionsEditor.item.Version Control.item.Enable VCS.order = 10
optionsEditor.item.Version Control.item.Enable VCS.view.description=["vcs/vcsEnabled_description"]

# Enable Source Control feature by default
srccontrol.default = false
;optionsEditor.item.Version Control.item.Enable VCS.item.Default.name = ["vcs/default"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Default = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Default.propertyName = srccontrol.default
;optionsEditor.item.Version Control.item.Enable VCS.item.Default.order = 10
;optionsEditor.item.Version Control.item.Enable VCS.item.Default.view.description=["vcs/default_description"]

# Get files from Source Control on project opening
srccontrol.openProjectAction.getFiles = false
optionsEditor.item.Version Control.item.Enable VCS.item.Get Files.name = ["vcs/getFiles"]
optionsEditor.item.Version Control.item.Enable VCS.item.Get Files = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.Get Files.propertyName = srccontrol.openProjectAction.getFiles
optionsEditor.item.Version Control.item.Enable VCS.item.Get Files.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.Get Files.view.description=["vcs/getFiles_description"]

# Check in all files on project closing
srccontrol.closeProjectAction.checkInFiles = false
optionsEditor.item.Version Control.item.Enable VCS.item.Check In On Closing.name = ["vcs/checkInOnClosing"]
optionsEditor.item.Version Control.item.Enable VCS.item.Check In On Closing = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.Check In On Closing.propertyName =srccontrol.closeProjectAction.checkInFiles
optionsEditor.item.Version Control.item.Enable VCS.item.Check In On Closing.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.Check In On Closing.view.description=["vcs/checkInOnClosing_description"]

# Source Control action on files(s) renamed
# Nothing | Ask | Push
srccontrol.renameAction = Push
optionsEditor.item.Version Control.item.Enable VCS.item.Action On Renamed.name = ["vcs/actionOnRenamed"]
optionsEditor.item.Version Control.item.Enable VCS.item.Action On Renamed = ChoiceField(
\   {
\     values := { "Nothing", "Ask", "Push" }
\   }
\ )
optionsEditor.item.Version Control.item.Enable VCS.item.Action On Renamed.propertyName = srccontrol.renameAction
optionsEditor.item.Version Control.item.Enable VCS.item.Action On Renamed.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.Action On Renamed.view.description=["vcs/actionOnRenamed_description"]

# Use dialogs before proceeding a Source Control command
srccontrol.dialog.get = true
;optionsEditor.item.Version Control.item.Enable VCS.item.Get Dialog.name = ["vcs/getDialog"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Get Dialog = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Get Dialog.propertyName =srccontrol.dialog.get
;optionsEditor.item.Version Control.item.Enable VCS.item.Get Dialog.order = 50
;optionsEditor.item.Version Control.item.Enable VCS.item.Get Dialog.view.description=["vcs/getDialog_description"]

srccontrol.dialog.add = true
;optionsEditor.item.Version Control.item.Enable VCS.item.Add Dialog.name = ["vcs/addDialog"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Add Dialog = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Add Dialog.propertyName =srccontrol.dialog.add
;optionsEditor.item.Version Control.item.Enable VCS.item.Add Dialog.order = 60
;optionsEditor.item.Version Control.item.Enable VCS.item.Add Dialog.view.description=["vcs/addDialog_description"]

srccontrol.dialog.checkin = true
;optionsEditor.item.Version Control.item.Enable VCS.item.Check In Dialog.name = ["vcs/checkInDialog"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Check In Dialog = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Check In Dialog.propertyName =srccontrol.dialog.checkin
;optionsEditor.item.Version Control.item.Enable VCS.item.Check In Dialog.order = 70
;optionsEditor.item.Version Control.item.Enable VCS.item.Check In Dialog.view.description=["vcs/checkInDialog_description"]

srccontrol.dialog.checkout = true
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.name = ["vcs/checkOutDialog"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.propertyName =srccontrol.dialog.checkout
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.order = 80
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.view.description=["vcs/checkOutDialog_description"]

;srccontrol.showDirectoryContents = false
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.name = ["vcs/showDirectoryContents"]
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.propertyName = srccontrol.showDirectoryContents
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.order = 75
;optionsEditor.item.Version Control.item.Enable VCS.item.Check Out Dialog.view.description=["vcs/showDirectoryContents_description"]

srccontrol.alwaysCheckout = true
optionsEditor.item.Version Control.item.Enable VCS.item.Keep files always checked out.name = ["vcs/alwaysCheckout"]
optionsEditor.item.Version Control.item.Enable VCS.item.Keep files always checked out = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.Keep files always checked out.propertyName =srccontrol.alwaysCheckout
optionsEditor.item.Version Control.item.Enable VCS.item.Keep files always checked out.order = 80
optionsEditor.item.Version Control.item.Enable VCS.item.Keep files always checked out.view.description=["vcs/alwaysCheckout_description"]

# Whether to show dialogs for operations on files
vcs.option.showDialogOnFiles = true
optionsEditor.item.Version Control.item.Enable VCS.item.Show dialog on files.name = ["vcs/showDialogOnFiles"]
optionsEditor.item.Version Control.item.Enable VCS.item.Show dialog on files = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.Show dialog on files.propertyName=vcs.option.showDialogOnFiles
optionsEditor.item.Version Control.item.Enable VCS.item.Show dialog on files.order = 85
optionsEditor.item.Version Control.item.Enable VCS.item.Show dialog on files.view.description=["vcs/showDialogOnFiles_description"]

; This is misnamed property. Old one left for compatibility
vcs.cmdoption.recursive.name = Recurse subdirectories
vcs.cmdoption.recursive = true
;optionsEditor.item.Version Control.item.Enable VCS.item.Operate recursively on directory.name = Operate recursively on directory
;optionsEditor.item.Version Control.item.Enable VCS.item.Operate recursively on directory = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.Operate recursively on directory.propertyName = vcs.cmdoption.recursive.name
;optionsEditor.item.Version Control.item.Enable VCS.item.Operate recursively on directory.order = 85
;optionsEditor.item.Version Control.item.Enable VCS.item.Operate recursively on directory.view.description = Operate recursively on directory

vcs.cmdoption.comment = Empty comment
;optionsEditor.item.Version Control.item.Enable VCS.item.Default comment.name = Default comment
;optionsEditor.item.Version Control.item.Enable VCS.item.Default comment = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.Default comment.propertyName = vcs.cmdoption.comment
;optionsEditor.item.Version Control.item.Enable VCS.item.Default comment.order = 86
;optionsEditor.item.Version Control.item.Enable VCS.item.Default comment.view.description = Default comment

vcs.cmdoption.remove.local = false

vcs.cmdoption.diff.ignorecase = false

vcs.cmdoption.diff.ignorespace = false
vcs.command.add.name            = Add to Version Control
vcs.command.remove.name         = Remove from Version Control
vcs.command.get.name            = Get from Version Control
vcs.command.checkin.name        = Check in to Version Control
vcs.command.checkout.name       = Check out from Version Control
vcs.command.uncheckout.name = Undo check out from Version Control
vcs.command.update.name         = Update from Version Control
vcs.command.rename.name         = Rename file
vcs.command.properties.name = Show file properties
vcs.command.history.name        = Show file history
vcs.command.diff.name           = Show differences for file
vcs.command.select.name         = Select project
vcs.command.lock.name           = Lock file
vcs.command.unlock.name         = UnLock file
vcs.command.user1.name          = User command 1
vcs.command.user2.name          = User command 2
vcs.command.user3.name          = User command 3
vcs.command.user4.name          = User command 4
vcs.command.user5.name          = User command 5

# Invoke navigator dialog instead obsolete system
vcs.usenavigator=true

# Whether to allow using PVCS as SCC provider
vcs.scc.usepvcs=true

# Whether to use callback to display messages from SCC provider
# WARNING. This may not work with certain JDK versions
# Works with SUN JDK 1.2.2
vcs.scc.usecallback=false

# Whether to call SccQueryInfo before SccGet
# Use as a workaround if SccGet fails
vcs.scc.queryinfobeforeget=false

# Whether to pass HWND of java application frame to coroutine calls
# Use as workaround to the exception after working with VSS
vcs.scc.passHWND=true

#
# Diff view colouring
#
;vcs.command.rawdiff.selection = 0,0,170
;vcs.command.rawdiff.foreground = 0,0,0
;vcs.command.rawdiff.background = 250,250,250
;vcs.command.rawdiff.added.foreground = 230,60,30
;vcs.command.rawdiff.added.background = 150,210,170
;vcs.command.rawdiff.changed.foreground = 0,0,0
;vcs.command.rawdiff.changed.background = 100,150,250
;vcs.command.rawdiff.deleted.foreground = 150,210,170
;vcs.command.rawdiff.deleted.background = 230,60,30


# Whether to use CVS client-server or CVS LAN
vcs.provider.class = CVS LAN
optionsEditor.item.Version Control.item.Enable VCS.item.Use script.name = ["vcs/VCSType"]
optionsEditor.item.Version Control.item.Enable VCS.item.Use script = ChoiceField(
\   {
\     values := { "CVS LAN", "CVS server", "SCC", "PVCS", "GENERIC" },
\     names := { "CVS LAN", "CVS Client/Server", "SCC", "PVCS Tools", "Generic Provider" }
\   }
\ )
optionsEditor.item.Version Control.item.Enable VCS.item.Use script.propertyName = vcs.provider.class
optionsEditor.item.Version Control.item.Enable VCS.item.Use script.order = 90
optionsEditor.item.Version Control.item.Enable VCS.item.Use script.view.description=["vcs/VCSType_description"]


#---------------------------------------
# CVS LAN options
#---------------------------------------
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.name = ["vcs/cvsScript"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.order =130
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.view.description = ["vcs/cvsScript_description"]


#vcs.debug.printErr = Yes
#vcs.debug.printOut = Yes
#vcs.debug.command = No
#vcs.option.cvs.printCVSErr = No


# CVSROOT value
vcs.option.cvs.repository = $TGH$/bin/win32/repository
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Root.name = ["vcs/scriptRoot"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Root = FolderNameField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Root.propertyName = vcs.option.cvs.repository
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Root.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Root.view.description=["vcs/scriptRoot_description"]


vcs.option.cvs.mode = :local:
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Mode.name = ["vcs/scriptMode"]
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Mode = ChoiceField(
;\   {
;\     values := { ":local:", ":pserver:" },
;\     names :={ "Local/LAN", "Server" }
;\   }
;\ )

;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Mode.propertyName = vcs.option.cvs.mode
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Mode.order = 30
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Mode.view.description=["vcs/scriptMode_description"]


# NON-UI
vcs.script.altFileSeparator = /


# Where to write logs
#vcs.script.logFile = $TGH$/bin/vcs.log
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Logs.name = ["vcs/scriptLogs"]
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Logs = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Logs.propertyName = vcs.script.logFile
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Logs.order = 60
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Logs.view.description=["vcs/scriptLogs_description"]


#// see also vcs.option.pvcs.exclusive
# Use exclusive checkouts
vcs.option.exclusive = false
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Exclusive.name = ["vcs/scriptExclusive"]
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Exclusive = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Exclusive.propertyName = vcs.option.exclusive
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Exclusive.order = 70
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Exclusive.view.description=["vcs/scriptExclusive_description"]


# Name of the executable
vcs.option.cvs.executable = $TGH$/bin/win32/cvs.exe
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Name.name = ["vcs/scriptName"]
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Name = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Name.propertyName = vcs.option.cvs.executable
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Name.order = 80
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Name.view.description=["vcs/scriptName_description"]

# Location of the oistart utility
vcs.option.cvs.oistart = $TGH$/bin/win32/oistart.exe

vcs.option.cvs.vendorTag = vendor_tag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Vendor.name = ["vcs/cvsVendor"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Vendor = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Vendor.propertyName = vcs.option.cvs.vendorTag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Vendor.order = 90
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Vendor.view.description=["vcs/cvsVendor_description"]

vcs.option.cvs.releaseTag = release_tag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Release.name = ["vcs/cvsRelease"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Release = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Release.propertyName = vcs.option.cvs.releaseTag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Release.order = 100
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Release.view.description=["vcs/cvsRelease_description"]

vcs.option.cvs.defImportMsg = Creating new repository
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Def Import Msg.name = ["vcs/cvsDefImpotMsg"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Def Import Msg = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Def Import Msg.propertyName = vcs.option.cvs.defImportMsg
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Def Import Msg.order = 110
optionsEditor.item.Version Control.item.Enable VCS.item.CVS Script.item.Def Import Msg.view.description=["vcs/cvsDefImpotMsg_description"]

#---------------------------------------
# CVS client-server - related options.
#---------------------------------------
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.name = ["vcs/cvscs"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.order =140

# Go offline by default
vcs.option.defaultOffline = false
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Default Offline.name = ["vcs/defaultOffline"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Default Offline = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Default Offline.propertyName =vcs.option.defaultOffline
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Default Offline.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Default Offline.view.description=["vcs/defaultOffline_description"]

# Use exclusive checkouts
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Exclusive.name = ["vcs/exclusive"]
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Exclusive = BooleanField
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Exclusive.propertyName =vcs.option.exclusiveCheckOut
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Exclusive.order = 20
;optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Exclusive.view.description=["vcs/exclusive_description"]

vcs.cvscs.host = togethersoft.cz
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Host.name = ["vcs/cvscsHost"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Host = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Host.propertyName =vcs.cvscs.host
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Host.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Host.view.description=["vcs/cvscsHost_description"]

vcs.cvscs.repository = /cvs
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Repository.name = ["vcs/cvscsRepository"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Repository = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Repository.propertyName = vcs.cvscs.repository
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Repository.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Repository.view.description=["vcs/cvscsRepository_description"]

vcs.cvscs.user = together
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.User.name = ["vcs/cvscsUser"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.User = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.User.propertyName = vcs.cvscs.user
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.User.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.User.view.description=["vcs/cvscsUser_description"]


# Connection methods
vcs.cvscs.pserver = true
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Method.name = ["vcs/cvscsMethod"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Method = ChoiceField(
\   {
\     values := { "true", "false" },
\     names := { "pserver", "server" }
\   }
\ )
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Method.propertyName =vcs.cvscs.pserver
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Method.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Method.view.description=["vcs/cvscsMethod_description"]

# Pserver options
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.name = ["vcs/cvscsPserver"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.view.description = ["vcs/cvscsPserver_description"]

vcs.cvscs.port = 2401
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Port.name = ["vcs/cvscsPort"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Port = IntField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Port.propertyName =vcs.cvscs.port
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Port.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Port.view.description=["vcs/cvscsPort_description"]

vcs.cvscs.pwd = AIb'E<?d3
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Pwd.name = ["vcs/cvscsPwd"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Pwd = PasswordStringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Pwd.propertyName = vcs.cvscs.pwd
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Pwd.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use pserver.item.Pwd.view.description=["vcs/cvscsPwd_description"]

# RSH options
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.name = ["vcs/cvscsRsh"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.order = 50
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.view.description = ["vcs/cvscsRsh_description"]

vcs.cvscs.rshport = 514
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.Port.name = ["vcs/cvscsPort"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.Port = IntField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.Port.propertyName =vcs.cvscs.rshport
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.Port.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.Port.view.description=["vcs/cvscsPort_description"]

vcs.cvscs.command = cvs server
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.User.name = ["vcs/cvscsCommand"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.User = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.User.propertyName = vcs.cvscs.command
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.User.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use rsh.item.User.view.description=["vcs/cvscsCommand_description"]

vcs.cvscs.usegzip = true
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use gzip.name = ["vcs/cvscsUseGzip"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use gzip = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use gzip.propertyName = vcs.cvscs.usegzip
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use gzip.order = 70
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Use gzip.view.description=["vcs/cvscsUseGzip_description"]

vcs.cvscs.vendorTag = vendor_tag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Vendor.name = ["vcs/cvscsVendor"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Vendor = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Vendor.propertyName = vcs.cvscs.vendorTag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Vendor.order = 80
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Vendor.view.description=["vcs/cvscsVendor_description"]

vcs.cvscs.releaseTag = release_tag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Release.name = ["vcs/cvscsRelease"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Release = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Release.propertyName = vcs.cvscs.releaseTag
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Release.order = 90
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Release.view.description=["vcs/cvscsRelease_description"]

vcs.cvscs.defImportMsg = Creating new repository
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Def Import Msg.name = ["vcs/cvscsDefImpotMsg"]
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Def Import Msg = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Def Import Msg.propertyName = vcs.cvscs.defImportMsg
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Def Import Msg.order = 100
optionsEditor.item.Version Control.item.Enable VCS.item.CVS CS.item.Def Import Msg.view.description=["vcs/cvscsDefImpotMsg_description"]

#vcs.cvscs.traceFile = $TOGETHER_HOME$/bin/cvstrace.log

#---------------------------------------
# PVCS - related options.
#---------------------------------------

optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.name = ["vcs/PVCS_Tools"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.order = 150
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.view.description = ["vcs/PVCS_Tools_description"]

vcs.pvcs.option.databaseLocation = c:/Program files/PVCS/VM/SampleDb
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.DB.name = ["vcs/PVCS_Database"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.DB = FolderNameField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.DB.propertyName = vcs.pvcs.option.databaseLocation
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.DB.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.DB.view.description = ["vcs/PVCS_Database_description"]

vcs.pvcs.option.arcSuffix = -arc
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Arc file suffix.name = ["vcs/arc_file_suffix"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Arc file suffix = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Arc file suffix.propertyName = vcs.pvcs.option.arcSuffix
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Arc file suffix.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Arc file suffix.view.description = ["vcs/arc_file_suffix_description"]

optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.name = ["vcs/command_specifications"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.view.description = ["vcs/command_specifications_description"]

vcs.pvcs.option.put = put -y
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.PUT.name = ["vcs/PUT"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.PUT.view.description = ["vcs/PUT_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.PUT = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.PUT.propertyName = vcs.pvcs.option.put
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.PUT.order = 10

vcs.pvcs.option.get = get -y
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.GET.name = ["vcs/GET"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.GET.view.description = ["vcs/GET_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.GET = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.GET.propertyName = vcs.pvcs.option.get
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.GET.order = 20

vcs.pvcs.option.vdel = vdel -y
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDEL.name = ["vcs/VDEL"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDEL.view.description = ["vcs/VDEL_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDEL = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDEL.propertyName = vcs.pvcs.option.vdel
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDEL.order = 30

vcs.pvcs.option.vdiff = vdiff
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDIFF.name = ["vcs/VDIFF"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDIFF.view.description = ["vcs/VDIFF_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDIFF = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDIFF.propertyName = vcs.pvcs.option.vdiff
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VDIFF.order = 40

vcs.pvcs.option.vlog = vlog
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VLOG.name = ["vcs/VLOG"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VLOG.view.description = ["vcs/VLOG_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VLOG = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VLOG.propertyName = vcs.pvcs.option.vlog
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VLOG.order = 50

vcs.pvcs.option.vcs = vcs
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VCS.name = ["vcs/VCS"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VCS.view.description = ["vcs/VCS_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VCS = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VCS.propertyName = vcs.pvcs.option.vcs
optionsEditor.item.Version Control.item.Enable VCS.item.PVCS Win.item.Commands.item.VCS.order = 60

vcs.pvcs.option.debug = false

#---------------------------------------
# Generic provider options.
#---------------------------------------

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.name = ["vcs/generic_provider"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.order = 160
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.view.description = ["vcs/generic_provider_description"]
vcs.genegic.option.repositorySeparator = /
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.separator = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.separator.order = 5
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.separator.name = ["vcs/separator"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.separator.view.description = ["vcs/separator_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.separator.propertyName = vcs.genegic.option.repositorySeparator

# Logon command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.name = ["vcs/logon"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.view.description = ["vcs/logon_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.order = 10
vcs.generic.option.logon =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSession = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSession.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSession.name = ["vcs/logon_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSession.view.description = ["vcs/logon_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSession.propertyName = vcs.generic.option.logon
vcs.generic.option.logon.parameters = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSessionParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSessionParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSessionParam.name = ["vcs/logon_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSessionParam.view.description = ["vcs/logon_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logon.item.startSessionParam.propertyName = vcs.generic.option.logon.parameters

# Logoff command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.name = ["vcs/logoff"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.view.description = ["vcs/logoff_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.order = 15
vcs.generic.option.logoff = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSession = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSession.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSession.name = ["vcs/logoff_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSession.view.description = ["vcs/logoff_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSession.propertyName = vcs.generic.option.logoff
vcs.generic.option.logoff.parameters =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSessionParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSessionParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSessionParam.name = ["vcs/logoff_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSessionParam.view.description = ["vcs/logoff_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.logoff.item.endSessionParam.propertyName = vcs.generic.option.logoff.parameters

# Change Project command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.name = ["vcs/cp"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.view.description = ["vcs/cp_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.order = 19
vcs.generic.option.changeProject = D:\Program Files\DevStudio\Vss\win32\ss.exe
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProject = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProject.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProject.name = ["vcs/cp_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProject.view.description = ["vcs/cp_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProject.propertyName = vcs.generic.option.changeProject
vcs.generic.option.changeProject.parameters = CP $/%VCS_PROJ%
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProjectParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProjectParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProjectParam.name = ["vcs/cp_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProjectParam.view.description = ["vcs/cp_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.cp.item.changeProjectParam.propertyName = vcs.generic.option.changeProject.parameters

# Create Project command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.name = ["vcs/crp"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.view.description = ["vcs/crp_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.order = 20
vcs.generic.option.createSubproject = D:\Program Files\DevStudio\Vss\win32\ss.exe
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProject = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProject.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProject.name = ["vcs/crp_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProject.view.description = ["vcs/crp_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProject.propertyName = vcs.generic.option.createSubproject
vcs.generic.option.createSubproject.parameters = CREATE $/%VCS_PROJ% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProjectParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProjectParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProjectParam.name = ["vcs/crp_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProjectParam.view.description = ["vcs/crp_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.crp.item.createProjectParam.propertyName = vcs.generic.option.createSubproject.parameters

# Add command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.name = ["vcs/add_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.view.description = ["vcs/add_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.order = 25

vcs.generic.option.command.addFile = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.file.name = ["vcs/add_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.file.view.description = ["vcs/add_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.file.propertyName = vcs.generic.option.command.addFile

vcs.generic.option.command.addFile.parameters = %DIR_WORK% ADD %S_FILENAME% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.fileParam.name = ["vcs/add_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.fileParam.view.description = ["vcs/add_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.fileParam.propertyName = vcs.generic.option.command.addFile.parameters

vcs.generic.option.command.add.checkoutImmidiately = -k
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.checkoutImmidiately = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.checkoutImmidiately.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.checkoutImmidiately.name = ["vcs/add_cis"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.checkoutImmidiately.view.description = ["vcs/add_cis_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.checkoutImmidiately.propertyName = vcs.generic.option.command.add.checkoutImmidiately

vcs.generic.option.command.add.removeLocally
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.remove = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.remove.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.remove.name = ["vcs/add_rls"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.remove.view.description = ["vcs/add_rls_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.remove.propertyName = vcs.generic.option.command.add.removeLocally

vcs.generic.option.command.add.comment
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.comment = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.comment.order = 50
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.comment.name = ["vcs/add_comment"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.comment.view.description = ["vcs/add_comment_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.add.item.comment.propertyName = vcs.generic.option.command.add.comment


# CheckIn command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.name = ["vcs/checkin"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.view.description = ["vcs/checkin_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.order = 30

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.name = ["vcs/checkin_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.view.description = ["vcs/checkin_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.order = 10
vcs.generic.option.command.checkinFile = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.file.name = ["vcs/checkin_file_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.file.view.description = ["vcs/checkin_file_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.file.propertyName = vcs.generic.option.command.checkinFile
vcs.generic.option.command.checkinFile.parameters = %DIR_WORK% CHECKIN %S_FILENAME% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.fileParam.name = ["vcs/checkin_file_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.fileParam.view.description = ["vcs/checkin_file_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.file.item.fileParam.propertyName = vcs.generic.option.command.checkinFile.parameters

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.name = ["vcs/checkin_dir"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.view.description = ["vcs/checkin_dir_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.order = 20 
vcs.generic.option.command.checkinDirectory = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directory = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directory.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directory.name = ["vcs/checkin_dir_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directory.view.description = ["vcs/checkin_dir_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directory.propertyName = vcs.generic.option.command.checkinDirectory
vcs.generic.option.command.checkinDirectory.parameters = %DIR_WORK% CHECKIN %S_FILENAME% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryParam.name = ["vcs/checkin_dir_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryParam.view.description = ["vcs/checkin_dir_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryParam.propertyName = vcs.generic.option.command.checkinDirectory.parameters
vcs.generic.option.command.checkinDirectory.openParentProject = true
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryOpenParenBefore = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryOpenParenBefore.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryOpenParenBefore.name = ["vcs/checkin_dir_cptpbc"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directory.item.directoryOpenParenBefore.view.description = ["vcs/checkin_dir_cptpbc_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.directoryOpenParenBefore.propertyName = vcs.generic.option.command.checkinDirectory.openParentProject

vcs.generic.option.command.checkin.keepCheckedout = -k
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.keepCheckedOut = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.keepCheckedOut.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.keepCheckedOut.name = ["vcs/checkin_kcos"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.keepCheckedOut.view.description = ["vcs/checkin_kcos_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.keepCheckedOut.propertyName = vcs.generic.option.command.checkin.keepCheckedout
vcs.generic.option.command.checkin.recursive = -r
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.recursive = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.recursive.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.recursive.name = ["vcs/checkin_recursive"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.recursive.view.description = ["vcs/checkin_recursive_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.recursive.propertyName = vcs.generic.option.command.checkin.recursive
vcs.generic.option.command.checkin.removeLocally
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.remove = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.remove.order = 50
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.remove.name = ["vcs/checkin_rls"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.remove.view.description = ["vcs/checkin_rls_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.remove.propertyName = vcs.generic.option.command.checkin.removeLocally
vcs.generic.option.command.checkin.comment
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.comment = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.comment.order = 60
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.comment.name = ["vcs/checkin_comment"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.comment.view.description = ["vcs/checkin_comment_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkin.item.comment.propertyName = vcs.generic.option.command.checkin.comment

# CheckOut command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.name = ["vcs/checkout"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.view.description = ["vcs/checkout_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.order = 40

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.name = ["vcs/checkout_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.view.description = ["vcs/checkout_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.order = 10
vcs.generic.option.command.checkoutFile = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.file.name = ["vcs/checkout_file_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.file.view.description = ["vcs/checkout_file_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.file.propertyName = vcs.generic.option.command.checkoutFile
vcs.generic.option.command.checkoutFile.parameters = %DIR_WORK% CHECKOUT %S_FILENAME% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.fileParam.name = ["vcs/checkout_file_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.fileParam.view.description = ["vcs/checkout_file_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.file.item.fileParam.propertyName = vcs.generic.option.command.checkoutFile.parameters

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.name = ["vcs/checkout_dir"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.view.description = ["vcs/checkout_dir_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.order = 20
vcs.generic.option.command.checkoutDirectory = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directory = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directory.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directory.name = ["vcs/checkout_dir_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directory.view.description = ["vcs/checkout_dir_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directory.propertyName = vcs.generic.option.command.checkoutDirectory
vcs.generic.option.command.checkoutDirectory.parameters = %DIR_WORK% CHECKOUT %S_FILENAME% -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryParam.name = ["vcs/checkout_dir_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryParam.view.description = ["vcs/checkout_dir_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryParam.propertyName = vcs.generic.option.command.checkoutDirectory.parameters
vcs.generic.option.command.checkoutDirectory.openParentProject = true
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryOpenParenBefore = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryOpenParenBefore.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryOpenParenBefore.name = ["vcs/checkout_dir_cptpbc"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryOpenParenBefore.view.description = ["vcs/checkout_dir_cptpbc_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.directory.item.directoryOpenParenBefore.propertyName = vcs.generic.option.command.checkoutDirectory.openParentProject

vcs.generic.option.command.checkout.recursive = -r
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.recursive = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.recursive.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.recursive.name = ["vcs/checkout_recursive"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.recursive.view.description = ["vcs/checkout_recursive_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.recursive.propertyName = vcs.generic.option.command.checkout.recursive
vcs.generic.option.command.checkout.comment
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.comment = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.comment.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.comment.name = ["vcs/checkout_comment"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.comment.view.description = ["vcs/checkout_comment_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.checkout.item.comment.propertyName = vcs.generic.option.command.checkout.comment

# Get command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.name = ["vcs/get"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.view.description = ["vcs/get_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.order = 50

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.name = ["vcs/get_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.view.description = ["vcs/get_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.order = 10
vcs.generic.option.command.getFile = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.file.name = ["vcs/get_file_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.file.view.description = ["vcs/get_file_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.file.propertyName = vcs.generic.option.command.getFile
vcs.generic.option.command.getFile.parameters = %DIR_WORK% GET %S_FILENAME% -w -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.fileParam.name = ["vcs/get_file_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.fileParam.view.description = ["vcs/get_file_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.file.item.fileParam.propertyName = vcs.generic.option.command.getFile.parameters

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.name = ["vcs/get_dir"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.view.description = ["vcs/get_dir_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.order = 20
vcs.generic.option.command.getDirectory = win32\cdBeforeSS.cmd
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directory = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directory.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directory.name = ["vcs/get_dir_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directory.view.description = ["vcs/get_dir_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directory.propertyName = vcs.generic.option.command.getDirectory
vcs.generic.option.command.getDirectory.parameters = %DIR_WORK% GET %S_FILENAME% -w -i-
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryParam.name = ["vcs/get_dir_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryParam.view.description = ["vcs/get_dir_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryParam.propertyName = vcs.generic.option.command.getDirectory.parameters
vcs.generic.option.command.getDirectory.openParentProject = true
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryOpenParenBefore = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryOpenParenBefore.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryOpenParenBefore.name = ["vcs/get_dir_cptpbc"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryOpenParenBefore.view.description = ["vcs/get_dir_cptpbc_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.directory.item.directoryOpenParenBefore.propertyName = vcs.generic.option.command.getDirectory.openParentProject

vcs.generic.option.command.get.recursive = -r
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.recursive = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.recursive.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.recursive.name = ["vcs/get_recursive"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.recursive.view.description = ["vcs/get_recursive_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.recursive.propertyName = vcs.generic.option.command.get.recursive
;vcs.generic.option.command.get.revision = -rev
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.revision = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.revision.order = 50
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.revision.name = Revision suffix
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.revision.propertyName = vcs.generic.option.command.get.revision
;vcs.generic.option.command.get.date = -date
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.date = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.date.order = 60
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.date.name = Date suffix
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.date.propertyName = vcs.generic.option.command.get.date
;vcs.generic.option.command.get.makeWritable = -w
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.makeWritable = StringField
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.makeWritable.order = 70
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.makeWritable.name = Make writable suffix
;optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.get.item.makeWritable.propertyName = vcs.generic.option.command.get.makeWritable

# Update command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.name = ["vcs/update"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.view.description = ["vcs/update_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.order = 60

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.name = ["vcs/update_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.view.description = ["vcs/update_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.order = 10
vcs.generic.option.command.updateFile = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.file.name = ["vcs/update_file_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.file.view.description = ["vcs/update_file_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.file.propertyName = vcs.generic.option.command.updateFile
vcs.generic.option.command.updateFile.parameters = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.fileParam.name = ["vcs/update_file_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.fileParam.view.description = ["vcs/update_file_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.file.item.fileParam.propertyName = vcs.generic.option.command.updateFile.parameters

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.name = ["vcs/update_dir"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.view.description = ["vcs/update_dir_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.order = 20
vcs.generic.option.command.updateDirectory =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directory = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directory.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directory.name = ["vcs/update_dir_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directory.view.description = ["vcs/update_dir_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directory.propertyName = vcs.generic.option.command.updateDirectory
vcs.generic.option.command.updateDirectory.parameters =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryParam.name = ["vcs/update_dir_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryParam.view.description = ["vcs/update_dir_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryParam.propertyName = vcs.generic.option.command.updateDirectory.parameters
vcs.generic.option.command.updateDirectory.openParentProject = false
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryOpenParenBefore = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryOpenParenBefore.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryOpenParenBefore.name = ["vcs/update_dir_cptpbc"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryOpenParenBefore.view.description = ["vcs/update_dir_cptpbc_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.directory.item.directoryOpenParenBefore.propertyName = vcs.generic.option.command.updateDirectory.openParentProject

vcs.generic.option.command.update.recursive
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.recursive = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.recursive.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.recursive.name = ["vcs/update_recursive"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.recursive.view.description = ["vcs/update_recursive_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.update.item.recursive.propertyName = vcs.generic.option.command.update.recursive

# Diff command.

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.name = ["vcs/diff"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.view.description = ["vcs/diff_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.order = 70

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.name = ["vcs/diff_file"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.view.description = ["vcs/diff_file_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.order = 10
vcs.generic.option.command.diffFile = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.file = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.file.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.file.name = ["vcs/diff_file_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.file.view.description = ["vcs/diff_file_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.file.propertyName = vcs.generic.option.command.diffFile
vcs.generic.option.command.diffFile.parameters = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.fileParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.fileParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.fileParam.name = ["vcs/diff_file_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.fileParam.view.description = ["vcs/diff_file_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.file.item.fileParam.propertyName = vcs.generic.option.command.diffFile.parameters

optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.name = ["vcs/diff_dir"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.view.description = ["vcs/diff_dir_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.order = 20
vcs.generic.option.command.diffDirectory =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directory = FileNameField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directory.order = 10
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directory.name = ["vcs/diff_dir_command"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directory.view.description = ["vcs/diff_dir_command_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directory.propertyName = vcs.generic.option.command.diffDirectory
vcs.generic.option.command.diffDirectory.parameters =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryParam = SingleLineDialogField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryParam.order = 20
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryParam.name = ["vcs/diff_dir_parameters"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryParam.view.description = ["vcs/diff_dir_parameters_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryParam.propertyName = vcs.generic.option.command.diffDirectory.parameters
vcs.generic.option.command.diffDirectory.openParentProject = false
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryOpenParenBefore = BooleanField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryOpenParenBefore.order = 25
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryOpenParenBefore.name = ["vcs/diff_dir_cptpbc"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryOpenParenBefore.view.description = ["vcs/diff_dir_cptpbc_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.directory.item.directoryOpenParenBefore.propertyName = vcs.generic.option.command.diffDirectory.openParentProject

vcs.generic.option.command.diff.ignoreCase = 
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorecase = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorecase.order = 30
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorecase.name = ["vcs/diff_ignorecase"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorecase.view.description = ["vcs/diff_ignorecase_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorecase.propertyName = vcs.generic.option.command.diff.ignoreCase
vcs.generic.option.command.diff.ignoreSpace =
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorespaces = StringField
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorespaces.order = 40
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorespaces.name = ["vcs/diff_ignorespaces"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorespaces.view.description = ["vcs/diff_ignorespaces_description"]
optionsEditor.item.Version Control.item.Enable VCS.item.GenericProvider.item.diff.item.ignorespaces.propertyName = vcs.generic.option.command.diff.ignoreSpace
